Show / Hide Table of Contents

# Struct Attribute

Attributes are used as elements that contain both a foreground and a background or platform specific features

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public struct Attribute

##### Remarks

Attributes are needed to map colors to terminal capabilities that might lack colors, on color scenarios, they encode both the foreground and the background color and are used in the ColorScheme class to define color schemes that can be used in your application.

### Constructors

#### Attribute(Int32, Color, Color)

Initializes a new instance of the Attribute struct.

##### Declaration

    public Attribute(int value, Color foreground = Color.Black, Color background = Color.Black)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | value | Value.
Color | foreground | Foreground
Color | background | Background

#### Attribute(Color, Color)

Initializes a new instance of the Attribute struct.

##### Declaration

    public Attribute(Color foreground = Color.Black, Color background = Color.Black)

##### Parameters

Type | Name | Description
--- | --- | ---
Color | foreground | Foreground
Color | background | Background

### Methods

#### Make(Color, Color)

Creates an Attribute from the specified foreground and background.

##### Declaration

    public static Attribute Make(Color foreground, Color background)

##### Parameters

Type | Name | Description
--- | --- | ---
Color | foreground | Foreground color to use.
Color | background | Background color to use.

##### Returns

Type | Description
--- | ---
Attribute | The make.

### Operators

#### Implicit(Int32 to Attribute)

Implicitly convert an integer value into an Attribute

##### Declaration

    public static implicit operator Attribute(int v)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | v | value

##### Returns

Type | Description
--- | ---
Attribute | An attribute with the specified integer value.

#### Implicit(Attribute to Int32)

Implicit conversion from an Attribute to the underlying Int32 representation

##### Declaration

    public static implicit operator int (Attribute c)

##### Parameters

Type | Name | Description
--- | --- | ---
Attribute | c | The attribute to convert

##### Returns

Type | Description
--- | ---
System.Int32 | The integer value stored in the attribute.